Index: kernel/zaptel-base.c
===================================================================
--- kernel/zaptel-base.c	(revision 4591)
+++ kernel/zaptel-base.c	(working copy)
@@ -2968,6 +2968,12 @@
 			return NULL;
 		}
 		return &chan->curzone->dtmf[tone_index - ZT_TONE_DTMF_BASE];
+	case DIGIT_MODE_PULSE:
+		switch (digit) {
+		case 'W':
+			return &tone_pause;
+		}
+		return &chan->curzone->dtmf[tone_index - ZT_TONE_DTMF_BASE];
 	case DIGIT_MODE_MFR1:
 		switch (digit) {
 		case '0':
